
QGIS Application - Bug report #948

WMS Layer GetMap Request with Wrong Parameters WIDTH=1&HEIGHT=1

2008-02-10 07:52 AM - LuizDomingues53 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11007

Description

After correction to WIDTH=600&HEIGHT=400, [[GetMap]] request works as intended.

QGIS 0.9.1 Error Report Follows

Server Response:

Could not draw WMS RGA because:

  (Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported: 

  msDrawMap(): Image handling error. Unable to initialize image.

  msCalculateScale(): General error message. Invalid image extent, minx=-1.#IND00,

  miny=-1.#IND00, maxx=-1.#IND00, maxy=-1.#IND00.

This is probably due to a bug in the QGIS program.  Please report this error.

Tried URL: 

http://localhost/cgi-bin/mapserv.exe?MAP=/ms4w/apps/gmap/htdocs/gmap75_wms.map&#38;SERVICE=WMS&#38;VERSION=1.1.1&

38;REQUEST=GetMap&#38;BBOX=-172.367000,35.667300,-11.562400,83.829300&#38;SRS=EPSG:4326&#38;WIDTH=1&#38;HEIGHT=1&#38;LAYERS=bathymetry&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

HT=1&#38;LAYERS=bathymetry&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

Edited URL (works fine): 

http://localhost/cgi-bin/mapserv.exe?MAP=/ms4w/apps/gmap/htdocs/gmap75_wms.map&#38;SERVICE=WMS&#38;VERSION=1.1.1&

38;REQUEST=GetMap&#38;BBOX=-172.367000,35.667300,-11.562400,83.829300&#38;SRS=EPSG:4326&#38;WIDTH=600&#38;HEIGHT=400&#38;LAYERS=bathymetry&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

IGHT=400&#38;LAYERS=bathymetry&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

History

#1 - 2008-02-10 08:12 AM - LuizDomingues53 -

Workaround:

  "Zoom Full (F)" solves the problem.

#2 - 2008-07-16 07:17 AM - Maciej Sieczka -

How does thi issue look in QGIS 0.11? You can obtain a Windows installer at

http://gigamaildownload.rossoalice.alice.it/download/download.aspx?AttachmentID=2716cab8-980a-45c8-9e9c-8ff538f973e2&#38;MessageID=4602d0

e-2a74-48e1-a167-644cb19b13fb

#3 - 2008-07-17 03:13 PM - LuizDomingues53 -

- Resolution set to fixed
- Status changed from Open to Closed

Now working OK. Many zooms and full view tested.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
